Get a schedule
Returns a schedule group and the interview events it contains, including their timing and participants. The schedule must belong to the authenticated organization or the request returns not found.
curl --request GET \
--url https://api.modernloop.io/v1/schedules/{scheduleId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.modernloop.io/v1/schedules/{scheduleId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.modernloop.io/v1/schedules/{scheduleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "sch_a1b2c3d4e5f64789a1b2c3d4e5f64789",
"application": {
"id": "app_a1b2c3d4e5f64789a1b2c3d4e5f64789",
"candidate": {
"id": "can_a1b2c3d4e5f64789a1b2c3d4e5f64789",
"name": "<string>"
},
"job": {
"id": "job_a1b2c3d4e5f64789a1b2c3d4e5f64789",
"name": "<string>"
},
"stage": {
"id": "stg_a1b2c3d4e5f64789a1b2c3d4e5f64789",
"name": "<string>"
}
},
"status": "SCHEDULED",
"start_at": "2023-11-07T05:31:56Z",
"end_at": "2023-11-07T05:31:56Z",
"timezone": "<string>",
"interviews": [
{
"id": "int_a1b2c3d4e5f64789a1b2c3d4e5f64789",
"schedule_id": "sch_a1b2c3d4e5f64789a1b2c3d4e5f64789",
"name": "<string>",
"start_at": "2023-11-07T05:31:56Z",
"end_at": "2023-11-07T05:31:56Z",
"timezone": "<string>",
"status": "SCHEDULED",
"application": {
"id": "app_a1b2c3d4e5f64789a1b2c3d4e5f64789",
"candidate": {
"id": "can_a1b2c3d4e5f64789a1b2c3d4e5f64789",
"name": "<string>"
},
"job": {
"id": "job_a1b2c3d4e5f64789a1b2c3d4e5f64789",
"name": "<string>"
},
"stage": {
"id": "stg_a1b2c3d4e5f64789a1b2c3d4e5f64789",
"name": "<string>"
}
},
"interviewers": [
{
"id": "usr_a1b2c3d4e5f64789a1b2c3d4e5f64789",
"name": "<string>",
"role": "INTERVIEWER",
"interview_module": {
"id": "mod_a1b2c3d4e5f64789a1b2c3d4e5f64789",
"name": "<string>"
},
"rsvp": "ACCEPTED"
}
],
"video_meeting_url": "<string>",
"is_debrief": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"app_url": "<string>"
}
],
"task": {
"id": "tsk_a1b2c3d4e5f64789a1b2c3d4e5f64789"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"app_url": "<string>"
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "<string>",
"docs_url": "<string>",
"details": [
{}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "<string>",
"docs_url": "<string>",
"details": [
{}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "<string>",
"docs_url": "<string>",
"details": [
{}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "<string>",
"docs_url": "<string>",
"details": [
{}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "<string>",
"docs_url": "<string>",
"details": [
{}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "<string>",
"docs_url": "<string>",
"details": [
{}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "<string>",
"docs_url": "<string>",
"details": [
{}
]
}
}Authorizations
API tokens are passed as Bearer tokens.
Path Parameters
a schedule ID. Accepts the canonical prefixed compact UUID, a prefixed dashed UUID, a bare dashed UUID, or a bare compact UUID; input is case-insensitive.
^(?:sch_)?(?:[0-9a-fA-F]{32}|[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$"sch_a1b2c3d4e5f64789a1b2c3d4e5f64789"
Response
Success
Canonical schedule ID (sch_ followed by 32 lowercase hexadecimal UUID characters).
^sch_[0-9a-f]{32}$"sch_a1b2c3d4e5f64789a1b2c3d4e5f64789"
Show child attributes
Show child attributes
SCHEDULED, PARTIALLY_DECLINED, CANCELED ISO 8601 timestamp. Responses are normalized to UTC with a Z suffix.
ISO 8601 timestamp. Responses are normalized to UTC with a Z suffix.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
ISO 8601 timestamp. Responses are normalized to UTC with a Z suffix.
ISO 8601 timestamp. Responses are normalized to UTC with a Z suffix.
Link that opens this resource in the ModernLoop app.
Was this page helpful?
